Update Flow Json

Use this API to update the flow json.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Request Parameters

KeyDescriptionValueData typeRequired/OptionalConstraints
AuthorizationAccess Token for the application{{PARTNER_APP_TOKEN}}StringRequiredShould be a valid Partner App Access Token
appIdApp id of the app{{APP_ID}}StringRequiredThe Id should be a valid app Id of Gupshup
flowIdFlow Id{{FLOW_ID}}StringRequiredFlow Id generated by Meta
fileFile path{{FILE_PATH}}fileRequired

Sample Request

curl --location --request PUT 'https://partner.gupshup.io/partner/app/{{APP_ID}}/flows/{{FLOW_ID}}/assets' \
--header 'Authorization: {{PARTNER_APP_TOKEN}}' \
--header 'Content-Type: application/json' \
--form 'file={{FILE_PATH}}'

Sample Response

{
    "status": "success",
    "success": true,
    "validation_errors": []
}

Status Codes

Status CodeResponseComments
Success
200

{

"status": "success",
"success": true,
"validation_errors": []
}

Successfully updated json
Error
400

{

"status": "error",
"message": "Unable to upload Flow JSON Asset as media size is greater than permitted size"
}

For updating json over 10MB
Path Params
string
required

Unique identifier of the app.

string
required

Flow Id generated by Meta

Body Params
file
required

Json file to be updated

Headers
string
required

Your app token, please refer Get access token api to get the token from partner documentation.

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json